View Issue Details

IDProjectCategoryView StatusLast Update
11806Bug reportsConditionspublic2020-11-04 10:01
Reporterdrogu02 Assigned Toollehar  
PrioritynoneSeveritypartial_block 
Status closedResolutionfixed 
Product Version2.54 
Fixed in Version2.54 
Summary11806: Blank page in conditions since 2.54
Description

I have a blank page (HTTP 500 error) when I try to go to conditions in a survey. Maybe it's a php version problem but the version 5.3.17 should be supported.

Steps To Reproduce

Go in a survey
Go in a question
Edit conditions (Blank page)

TagsNo tags attached.
Complete LimeSurvey version number (& build)2.54.3+161014
I will donate to the project if issue is resolvedNo
Sync to Zoho Project
BrowserAll
Database & DB-Version5.5.47
Server OS (if known)Linux
Webserver software & version (if known)Apache
PHP Version5.3.17

Activities

LouisGac

LouisGac

2016-10-17 16:41

developer   ~41405

min php version is PHP 5.3.3

drogu02

drogu02

2016-10-17 17:12

reporter   ~41406

5.3.17 is higher than 5.3.3

ollehar

ollehar

2016-10-18 08:51

administrator   ~41415

Can you set debug = 2 in config.php and reload the condition page, please? Paste your error here.

davidbgeek

davidbgeek

2016-10-18 09:10

reporter   ~41416

Also experiencing this issue. Here's the error I'm getting:
Fatal error: Can't use method return value in write context in limesurvey/application/controllers/admin/conditionsaction.php on line 131

ollehar

ollehar

2016-10-18 10:13

administrator   ~41417

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=21072

ollehar

ollehar

2016-10-18 10:16

administrator   ~41418

Problem is using empty(someFunction()), which works in PHP 7.0 but not earlier versions. A new release will come out today. Sorry for the trouble.

ollehar

ollehar

2016-10-18 10:20

administrator   ~41419

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=21073

drogu02

drogu02

2016-10-18 14:36

reporter   ~41421

The degug = 2 don't show me anything. Blank page.
I will try the next version!

ollehar

ollehar

2016-10-18 14:46

administrator   ~41422

OK. If you use git, you can pull now already. Otherwise, wait until later today.

c_schmitz

c_schmitz

2016-10-18 15:57

administrator   ~41424

Version 2.54.4 released

eharmony

eharmony

2020-11-04 10:01

reporter   ~60531

Can you set debug = 2 in config.php and reload the condition page, please? Paste your error here - https://bit.ly/2GXPrMV

Related Changesets

LimeSurvey: master 3036abbd

2016-10-18 10:13:36

ollehar

Details Diff
Fixed issue 11806: Blank page in conditions Affected Issues
11806
mod - application/controllers/admin/conditionsaction.php Diff File

LimeSurvey: master 72b29866

2016-10-18 10:13:36

ollehar

Details Diff
Fixed issue 11806: Blank page in conditions Affected Issues
11806
mod - application/controllers/admin/conditionsaction.php Diff File

Issue History

Date Modified Username Field Change
2016-10-17 15:42 drogu02 New Issue
2016-10-17 16:41 LouisGac Assigned To => LouisGac
2016-10-17 16:41 LouisGac Status new => closed
2016-10-17 16:41 LouisGac Resolution open => won't fix
2016-10-17 16:41 LouisGac Note Added: 41405
2016-10-17 17:12 drogu02 Note Added: 41406
2016-10-17 17:29 LouisGac Assigned To LouisGac => ollehar
2016-10-17 17:29 LouisGac Status closed => assigned
2016-10-18 08:51 ollehar Note Added: 41415
2016-10-18 09:10 davidbgeek Note Added: 41416
2016-10-18 10:13 ollehar Changeset attached => LimeSurvey master 3036abbd
2016-10-18 10:13 ollehar Note Added: 41417
2016-10-18 10:13 ollehar Resolution won't fix => fixed
2016-10-18 10:16 ollehar Note Added: 41418
2016-10-18 10:20 ollehar Changeset attached => LimeSurvey master 72b29866
2016-10-18 10:20 ollehar Note Added: 41419
2016-10-18 10:23 ollehar Status assigned => resolved
2016-10-18 10:23 ollehar Fixed in Version => 2.54
2016-10-18 14:36 drogu02 Note Added: 41421
2016-10-18 14:46 ollehar Note Added: 41422
2016-10-18 15:57 c_schmitz Note Added: 41424
2016-10-18 15:57 c_schmitz Status resolved => closed
2020-11-04 10:01 eharmony Note Added: 60531